> ## Documentation Index
> Fetch the complete documentation index at: https://docs.rapidagent.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# /prompts

> List all prompts.

### Response

<ResponseField name="success" type="boolean">
  Indicates whether the call was successful.
</ResponseField>

<ResponseField name="data" type="object">
  List of prompt objects.
</ResponseField>

<RequestExample>
  ```bash Example Request theme={null}
  curl --location --request GET 'https://api.rapidagent.ai/api/v1/promtps' \
  --header 'Content-Type: application/json' \
  --header 'Autorization: Bearer <token>'
  ```
</RequestExample>

<ResponseExample>
  ```json Response theme={null}
  {
    "success": true,
    "data": [
      {
        "id": "cli28c2vd00016itbrlhekwql",
        "name": "My prompt",
        "template": "...",
        "input_variables": [
          "question",
          "history"
        ],
      }
    ]
  }
  ```
</ResponseExample>
